Page MenuHomePhabricator

Re-balance North American traffic in DNS for codfw
Closed, ResolvedPublic

Description

With codfw available (as Tier-2), we need to run through some metrics and calculations and come up with a plan for re-balancing the NA-destined load between ulsfo, codfw, and eqiad. Currently eqiad and ulsfo are mostly in their pre-codfw state on balancing, and codfw only has 5 US States + Mexico.

Details

Related Gerrit Patches:

Event Timeline

BBlack created this task.Oct 5 2015, 4:09 PM
BBlack raised the priority of this task from to Medium.
BBlack updated the task description. (Show Details)
BBlack added a project: Traffic.
BBlack added subscribers: BBlack, faidon.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptOct 5 2015, 4:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 5 2015, 4:09 PM
BBlack added a comment.Oct 5 2015, 4:35 PM

Note: we've done a 24-hour test of all eqiad traffic to codfw already, so there's no real load concerns here, just latency and link-balance optimization.

faidon set Security to None.

Change 251247 had a related patch set uploaded (by BBlack):
config-geo: more of the middle US -> codfw

https://gerrit.wikimedia.org/r/251247

BBlack added a comment.Nov 5 2015, 4:00 PM

This is what the US States look like, assuming patch 251247 above is applied:

Change 251255 had a related patch set uploaded (by BBlack):
config-geo: ulsfo fallback to codfw before eqiad

https://gerrit.wikimedia.org/r/251255

Change 251247 merged by BBlack:
config-geo: more of the middle US -> codfw

https://gerrit.wikimedia.org/r/251247

Change 251255 merged by BBlack:
config-geo: ulsfo fallback to codfw before eqiad

https://gerrit.wikimedia.org/r/251255

Dzahn added a subscriber: Dzahn.Sep 14 2016, 3:07 PM

@BBlack This looks like it's resolved since those merges?

BBlack closed this task as Resolved.Sep 14 2016, 3:08 PM
BBlack claimed this task.

Well, there's long term stuff we can do better, but I guess no solid reason to keep this open in the task sense.